> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Actions

> GET /actions/batchActionJobs

`GET /actions/batchActionJobs`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

| Name     | In    | Type                      | Required |
| -------- | ----- | ------------------------- | -------- |
| `next`   | query | string                    | No       |
| `offset` | query | string(numeric) \| number | No       |
| `limit`  | query | number                    | No       |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |

## OpenAPI Source

`/openapi/crm.json GET /actions/batchActionJobs`


## OpenAPI

````yaml /openapi/crm.json GET /actions/batchActionJobs
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /actions/batchActionJobs:
    get:
      tags:
        - Batch Actions
      summary: List Actions
      operationId: get_actions_batchactionjobs
      parameters:
        - schema:
            type: string
          in: query
          name: next
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
          in: query
          name: offset
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  batchActionJobs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        credentialId:
                          type: string
                        actionType:
                          anyOf:
                            - type: string
                            - type: string
                            - type: string
                            - type: string
                        requestPayload: {}
                        results: {}
                        status:
                          anyOf:
                            - type: string
                            - type: string
                            - type: string
                            - type: string
                            - type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - credentialId
                        - actionType
                        - requestPayload
                        - results
                        - status
                        - createdAt
                        - updatedAt
                required:
                  - _metadata
                  - batchActionJobs
            multipart/form-data:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  batchActionJobs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        credentialId:
                          type: string
                        actionType:
                          anyOf:
                            - type: string
                            - type: string
                            - type: string
                            - type: string
                        requestPayload: {}
                        results: {}
                        status:
                          anyOf:
                            - type: string
                            - type: string
                            - type: string
                            - type: string
                            - type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - credentialId
                        - actionType
                        - requestPayload
                        - results
                        - status
                        - createdAt
                        - updatedAt
                required:
                  - _metadata
                  - batchActionJobs
            text/plain:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  batchActionJobs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        credentialId:
                          type: string
                        actionType:
                          anyOf:
                            - type: string
                            - type: string
                            - type: string
                            - type: string
                        requestPayload: {}
                        results: {}
                        status:
                          anyOf:
                            - type: string
                            - type: string
                            - type: string
                            - type: string
                            - type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - credentialId
                        - actionType
                        - requestPayload
                        - results
                        - status
                        - createdAt
                        - updatedAt
                required:
                  - _metadata
                  - batchActionJobs
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````